mongoc_client_encryption_encrypt_range_opts_set_sparsity

Synopsis

void
mongoc_client_encryption_encrypt_range_opts_set_sparsity (
     mongoc_client_encryption_encrypt_range_opts_t *range_opts, int64_t sparsity);
IMPORTANT:

The Range algorithm is experimental only and not intended for public use. It is subject to breaking changes. This API is part of the experimental Queryable Encryption API and may be subject to breaking changes in future releases.

New in version 1.24.0.

Sets sparsity for explicit encryption. Sparsity is required for explicit encryption of range indexes. Only applies when the algorithm set by mongoc_client_encryption_encrypt_opts_set_algorithm() is "RangePreview". It is an error to set sparsity when algorithm is not "RangePreview".

Sparsity must match the value set in the encryptedFields of the destination collection. It is an error to set a different value.

Parameters

SEE ALSO:

mongoc_client_encryption_encrypt_range_opts_t

Author

MongoDB, Inc

Info

Apr 03, 2024 1.26.2 libmongoc